Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZCodePageMapper Class Reference

The class eZCodePageMapper does. More...

## Public Member Functions
| __construct ( $input_charset_code, $output_charset_code, $use_cache=true)
| isValid ()
& | mapInputCode ( $in_code)
& | mapOutputCode ( $out_code)
| mapInputChar ( $in_char)
| mapOutputChar ( $out_char)
| substituteCharacterFor ( $char)
| substituteCharacter ()
| convertString ( $str)
| strlen ( $str)
| strpos ( $haystack, $needle, $offset=0)
| strrpos ( $haystack, $needle)
| substr ( $str, $start, $length)
| setSubstituteCharacter ( $char_code)
| load ( $use_cache=true)

## Static Public Member Functions
static | instance ( $input_charset_code, $output_charset_code, $use_cache=true)

## Public Attributes
| $RequestedInputCharsetCode
| $InputCharsetCode
| $RequestedOutputCharsetCode
| $OutputCharsetCode
| $Valid
| $InputOutputMap
| $OutputInputMap
| $SubstituteOutputChar
| $SubstituteInputChar
| $SubstituteCharValue
const | CACHE_CODE_DATE = 1026316422

## Detailed Description

The class eZCodePageMapper does.

Definition at line 17 of file ezcodepagemapper.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCodePageMapper::__construct | ( |  | $input_charset_code,
|  |  | $output_charset_code,
|  |  | $use_cache = `true`
| ) |  |

Constructor

Parameters

  string | $input_charset_code |
  string | $output_charset_code |
  bool | $use_cache |

Definition at line 44 of file ezcodepagemapper.php.

References load(), eZCharsetInfo\realCharsetCode(), and setSubstituteCharacter().

## Member Function Documentation

## ◆ convertString()

eZCodePageMapper::convertString | ( |  | $str | ) |

Definition at line 101 of file ezcodepagemapper.php.

References mapInputChar(), and strlen().

## ◆ instance()

static eZCodePageMapper::instance | ( |  | $input_charset_code,
|  |  | $output_charset_code,
|  |  | $use_cache = `true`
| ) |  |
| static

Returns a shared instance of the eZCodePageMapper pr the $input_charset_code and $output_charset_code params.

Parameters

  string | $input_charset_code |
  string | $output_charset_code |
  bool | $use_cache |

Returns
  eZCodePageMapper

Definition at line 242 of file ezcodepagemapper.php.

Referenced by eZTextCodec\initializeCodepageMapper().

## ◆ isValid()

eZCodePageMapper::isValid | ( |  | ) |

Definition at line 55 of file ezcodepagemapper.php.

References $Valid.

## ◆ load()

eZCodePageMapper::load | ( |  | $use_cache = `true` | ) |

Definition at line 152 of file ezcodepagemapper.php.

References $InputOutputMap, $OutputInputMap, eZCodePage\exists(), eZCodePage\fileModification(), eZCodePage\fileName(), eZCodePage\instance(), eZDebug\writeDebug(), eZDebug\writeError(), and eZDebug\writeWarning().

Referenced by __construct().

## ◆ mapInputChar()

eZCodePageMapper::mapInputChar | ( |  | $in_char | ) |

Definition at line 76 of file ezcodepagemapper.php.

References $SubstituteOutputChar.

Referenced by convertString().

## ◆ mapInputCode()

& eZCodePageMapper::mapInputCode | ( |  | $in_code | ) |

Definition at line 60 of file ezcodepagemapper.php.

## ◆ mapOutputChar()

eZCodePageMapper::mapOutputChar | ( |  | $out_char | ) |

Definition at line 84 of file ezcodepagemapper.php.

References $SubstituteInputChar.

## ◆ mapOutputCode()

& eZCodePageMapper::mapOutputCode | ( |  | $out_code | ) |

Definition at line 68 of file ezcodepagemapper.php.

## ◆ setSubstituteCharacter()

eZCodePageMapper::setSubstituteCharacter | ( |  | $char_code | ) |

Definition at line 133 of file ezcodepagemapper.php.

References eZCodePage\instance(), and eZDebug\writeError().

Referenced by __construct().

## ◆ strlen()

eZCodePageMapper::strlen | ( |  | $str | ) |

Definition at line 113 of file ezcodepagemapper.php.

Referenced by convertString().

## ◆ strpos()

eZCodePageMapper::strpos | ( |  | $haystack,
|  |  | $needle,
|  |  | $offset = `0`
| ) |  |

Definition at line 118 of file ezcodepagemapper.php.

## ◆ strrpos()

eZCodePageMapper::strrpos | ( |  | $haystack,
|  |  | $needle
| ) |  |

Definition at line 123 of file ezcodepagemapper.php.

## ◆ substituteCharacter()

eZCodePageMapper::substituteCharacter | ( |  | ) |

Definition at line 96 of file ezcodepagemapper.php.

References $SubstituteCharValue.

## ◆ substituteCharacterFor()

eZCodePageMapper::substituteCharacterFor | ( |  | $char | ) |

Definition at line 92 of file ezcodepagemapper.php.

## ◆ substr()

eZCodePageMapper::substr | ( |  | $str,
|  |  | $start,
|  |  | $length
| ) |  |

Definition at line 128 of file ezcodepagemapper.php.

## Member Data Documentation

## ◆ $InputCharsetCode

eZCodePageMapper::$InputCharsetCode

Definition at line 23 of file ezcodepagemapper.php.

## ◆ $InputOutputMap

eZCodePageMapper::$InputOutputMap

Definition at line 30 of file ezcodepagemapper.php.

Referenced by load().

## ◆ $OutputCharsetCode

eZCodePageMapper::$OutputCharsetCode

Definition at line 28 of file ezcodepagemapper.php.

## ◆ $OutputInputMap

eZCodePageMapper::$OutputInputMap

Definition at line 31 of file ezcodepagemapper.php.

Referenced by load().

## ◆ $RequestedInputCharsetCode

eZCodePageMapper::$RequestedInputCharsetCode

Definition at line 22 of file ezcodepagemapper.php.

## ◆ $RequestedOutputCharsetCode

eZCodePageMapper::$RequestedOutputCharsetCode

Definition at line 27 of file ezcodepagemapper.php.

## ◆ $SubstituteCharValue

eZCodePageMapper::$SubstituteCharValue

Definition at line 34 of file ezcodepagemapper.php.

Referenced by substituteCharacter().

## ◆ $SubstituteInputChar

eZCodePageMapper::$SubstituteInputChar

Definition at line 33 of file ezcodepagemapper.php.

Referenced by mapOutputChar().

## ◆ $SubstituteOutputChar

eZCodePageMapper::$SubstituteOutputChar

Definition at line 32 of file ezcodepagemapper.php.

Referenced by mapInputChar().

## ◆ $Valid

eZCodePageMapper::$Valid

Definition at line 29 of file ezcodepagemapper.php.

Referenced by isValid().

## ◆ CACHE_CODE_DATE

const eZCodePageMapper::CACHE_CODE_DATE = 1026316422

Definition at line 35 of file ezcodepagemapper.php.

The documentation for this class was generated from the following file:

- ezcodepagemapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.